#
# $Header: /cvs/stx/stx/libview/vms.mak,v 1.3 1997-09-17 22:35:56 cg Exp $
#

LIBNAME=libview
#LIB_BASE=$(LIBCOMP_BASE)

PACKAGE="-package=(stx:$(LIBNAME))"
STCLOCALOPT=-warnNonStandard -warnGlobalAssign +optinline

OBJS= \
	GraphicsDevice.$(O)     \
	HostGraphicsDevice.$(O) \
	DevWorkst.$(O)          \
	  Image.$(O)            \
	    Depth1Image.$(O)    \
	    Depth2Image.$(O)    \
	    Depth4Image.$(O)    \
	    Depth8Image.$(O)    \
	    Depth24Image.$(O)   \
	  ImageRdr.$(O)		\
	Workstat.$(O)           \
	Color.$(O)              \
	Colormap.$(O)           \
	FontDescr.$(O)          \
	  Font.$(O)             \
	Cursor.$(O)             \
	DevHandle.$(O)          \
	  DevViewH.$(O)         \
	  DevFormH.$(O)         \
	DevColorH.$(O)          \
	GC.$(O)                 \
	  DevGC.$(O)            \
	  GMedium.$(O)          \
	    Form.$(O)           \
	      DSurface.$(O)     \
		SimpleView.$(O) \
		View.$(O)       \
		TopView.$(O)    \
		  StdSysV.$(O)  \
		    ModalBox.$(O)\
		  PopUpView.$(O)\
		ShadowV.$(O)    \
		DRootView.$(O)  \
	    Controll.$(O)       \
	    WTrans.$(O)         \
	    WEvent.$(O)         \
	    WGroup.$(O)         \
	    WSensor.$(O)        \
	      SWSensor.$(O)     \
	    KeybdFwd.$(O)       \
	    KeybdMap.$(O)       \
	    RsrcPack.$(O)       \
	      ViewStyle.$(O)    \
	    Depth16Image.$(O)   \
	    Depth32Image.$(O)   \
	    ImageMask.$(O)      \
	    AlphaMask.$(O)			

reallyAll:	all

objs:	$(OBJS) XWorkstat.$(O) GLXWorkstat.$(O)

theLib: $(LIBNAME).olb
	cop vms_xnames.h [$(TOP).include]
	write sys$output "vms_xnames.h installed in include."
	$(MAKE) objs
	$(MAKE) libinit
	write sys$output "classlibrary $(LIBNAME).olb made."

libvgl:
	set def [$(TOP).support.vgl.vogl.src]
	$(MAKE)
	set def [$(TOP).libview]

theProgram:
	write sys$output "no program to be made here."

$(LIBNAME).olb:
	write sys$output "creating initial $(LIBNAME).olb ..."
	lib/cre $(LIBNAME).olb

